#pragma once
#include "vector"
#include "Question.h"

class QuestionRepo
{
    private:
        std::vector<Question> _questions;
        std::string _file_name;
        void read_from_file();
        void write_to_file();
    public:
        QuestionRepo(std::string file_name);
        ~QuestionRepo();
        void add(Question q);
        std::vector<Question> get_all();
        int size();
};